package com.yihu.wlyy.entity.charge;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 扣费记录
 * @author hzp
 */
@Entity
@Table(name = "wlyy_charge")
public class WlyyCharge extends IdEntity {

	private String code;   //  接入应用支付业务流水号
	private String chargeType;   //交易类型  1签约 2续签
	private String chargeRelation;   //交易关联代码
	private Date createTime;   //  接入应用内支付时间
	private String patient;   //  用户
	private String openid;   //  用戶微信openid
	private String ssc;   // 医保卡号
	private String name;   //  姓名
	private String idType;   //  证件类型
	private String idNo;   //  证件号码
	private String hospital;   //  机构代码
	private String hospitalName;   //  机构名称
	private Integer totalAmount;   //  交易总金额
	private Integer selfpayAmount;   //  自费金额
	private Integer insuranceAmount;   //  医保支付金额
	private String feeDetail;   //  费用明细
	private String channel;   //  医保支付渠道
	private String merchName;   //  收款单位名称
	private String subject;   //  订单名称
	private String tradeStatus;   //  交易状态0 成功 1 失败 2 已退款
	private String chargeNo;   //  流水号
	private String chargeTime;   // 扣费时间YYYYMMDDHHMMSS
	private String medOrgNo;   //  医疗机构编码
	private String medOrgName;   //  医疗机构名称
	private String billNo;   //  待结算费用单据号


	public String getChargeType() {
		return chargeType;
	}

	public void setChargeType(String chargeType) {
		this.chargeType = chargeType;
	}

	public String getChargeRelation() {
		return chargeRelation;
	}

	public void setChargeRelation(String chargeRelation) {
		this.chargeRelation = chargeRelation;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	public String getOpenid() {
		return openid;
	}

	public void setOpenid(String openid) {
		this.openid = openid;
	}

	public String getSsc() {
		return ssc;
	}

	public void setSsc(String ssc) {
		this.ssc = ssc;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getIdType() {
		return idType;
	}

	public void setIdType(String idType) {
		this.idType = idType;
	}

	public String getIdNo() {
		return idNo;
	}

	public void setIdNo(String idNo) {
		this.idNo = idNo;
	}

	public String getHospital() {
		return hospital;
	}

	public void setHospital(String hospital) {
		this.hospital = hospital;
	}

	public String getHospitalName() {
		return hospitalName;
	}

	public void setHospitalName(String hospitalName) {
		this.hospitalName = hospitalName;
	}

	public Integer getTotalAmount() {
		return totalAmount;
	}

	public void setTotalAmount(Integer totalAmount) {
		this.totalAmount = totalAmount;
	}

	public Integer getSelfpayAmount() {
		return selfpayAmount;
	}

	public void setSelfpayAmount(Integer selfpayAmount) {
		this.selfpayAmount = selfpayAmount;
	}

	public Integer getInsuranceAmount() {
		return insuranceAmount;
	}

	public void setInsuranceAmount(Integer insuranceAmount) {
		this.insuranceAmount = insuranceAmount;
	}

	public String getFeeDetail() {
		return feeDetail;
	}

	public void setFeeDetail(String feeDetail) {
		this.feeDetail = feeDetail;
	}

	public String getChannel() {
		return channel;
	}

	public void setChannel(String channel) {
		this.channel = channel;
	}

	public String getMerchName() {
		return merchName;
	}

	public void setMerchName(String merchName) {
		this.merchName = merchName;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public String getTradeStatus() {
		return tradeStatus;
	}

	public void setTradeStatus(String tradeStatus) {
		this.tradeStatus = tradeStatus;
	}

	public String getChargeNo() {
		return chargeNo;
	}

	public void setChargeNo(String chargeNo) {
		this.chargeNo = chargeNo;
	}

	public String getChargeTime() {
		return chargeTime;
	}

	public void setChargeTime(String chargeTime) {
		this.chargeTime = chargeTime;
	}

	public String getMedOrgNo() {
		return medOrgNo;
	}

	public void setMedOrgNo(String medOrgNo) {
		this.medOrgNo = medOrgNo;
	}

	public String getMedOrgName() {
		return medOrgName;
	}

	public void setMedOrgName(String medOrgName) {
		this.medOrgName = medOrgName;
	}

	public String getBillNo() {
		return billNo;
	}

	public void setBillNo(String billNo) {
		this.billNo = billNo;
	}

}
